/**Begin D:\PDM_UPGRADE\PDM1\TSRBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSRBD_BUSINESSDICTTYPE')
CREATE TABLE T_TSRBD_BUSINESSDICTTYPE (
                                          FID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                          FCREATETIME DATETIME,
                                          FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                          FMODIFYTIME DATETIME,
                                          FDICTTYPNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FDICTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                          FDICTTYPSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FDICTTYPREMARK NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSRBD_BUSINESSDICT_L')
CREATE TABLE T_TSRBD_BUSINESSDICT_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TSRBD_BUSINESSDICT')
CREATE TABLE T_TSRBD_BUSINESSDICT (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
                                      FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
                                      FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFYTIME DATETIME,
                                      FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                      FGROUPID BIGINT DEFAULT 0 NOT NULL,
                                      FDISABLERID BIGINT DEFAULT 0 NOT NULL,
                                      FDISABLEDATE DATETIME,
                                      FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
                                      FDICTKEYREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FDICTVALUEREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FDICTSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FDICTKEY VARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FDICTVALUE VARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\TSRBD_table.sql **/
